> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v2/assurance/bucketdetails

## OpenAPI

````json POST /v2/assurance/bucketdetails
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v2/assurance/bucketdetails": {
      "post": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v2AssuranceBucketdetailsPostRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v2AssuranceBucketdetailsPostResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "v2AssuranceBucketdetailsPostRequest": {
        "type": "object",
        "properties": {
          "bucketId": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "timeWindow": {
            "$ref": "#/components/schemas/assuranceTimeWindow"
          },
          "unclassifiedOnly": {
            "type": "boolean",
            "example": true
          }
        },
        "additionalProperties": false
      },
      "v2AssuranceBucketdetailsPostResponse": {
        "type": "object",
        "properties": {
          "bucketDetails": {
            "$ref": "#/components/schemas/assuranceBucketDetails"
          }
        },
        "additionalProperties": false
      },
      "assuranceTimeWindow": {
        "type": "object",
        "properties": {
          "bucketSizeSec": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "oldTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "recentTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          }
        },
        "additionalProperties": false
      },
      "assuranceBucketDetails": {
        "type": "object",
        "properties": {
          "appCountThreatHigh": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "appCountThreatLow": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "appCountThreatMedium": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "appIdRecords": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/assuranceAppIdRecord"
            }
          },
          "appNameRecords": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/assuranceAppNameRecord"
            }
          },
          "bucketNameToDisplay": {
            "type": "string",
            "example": "example string"
          },
          "description": {
            "type": "string",
            "example": "example string"
          },
          "displayIpPort": {
            "type": "boolean",
            "example": true
          },
          "flowCount": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "newIpHint": {
            "type": "boolean",
            "example": true
          },
          "recommendation": {
            "type": "string",
            "example": "example string"
          },
          "trendValueList": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/assuranceTrendValue"
            }
          },
          "uniqueAppCount": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "googleProtobufTimestamp": {
        "type": "object",
        "properties": {
          "nanos": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "seconds": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "assuranceAppIdRecord": {
        "type": "object",
        "properties": {
          "affectedHosts": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "affectedRegions": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "affectedSites": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "affectedVrfs": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "appIdKey": {
            "type": "string",
            "example": "example string"
          },
          "appName": {
            "type": "string",
            "example": "example string"
          },
          "appType": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "blockedPolicyList": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "blockedReasonList": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "category": {
            "type": "string",
            "example": "example string"
          },
          "classficationField": {
            "type": "string",
            "example": "example string"
          },
          "classificationField": {
            "type": "string",
            "example": "example string"
          },
          "clients": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "exchangeService": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/assuranceExchangeServiceIdentifier"
            }
          },
          "firstSeen": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "flexAlgo": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/assuranceFlexAlgoIdentifier"
            }
          },
          "flowsAnalyzed": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "lastSeen": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "newIpHint": {
            "type": "boolean",
            "example": true
          },
          "recommendation": {
            "type": "string",
            "example": "example string"
          },
          "regionList": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "riskStatus": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "serverIp": {
            "type": "string",
            "example": "example string"
          },
          "serverPort": {
            "type": "string",
            "example": "example string"
          },
          "siteList": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "threatScore": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "vrfList": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          }
        },
        "additionalProperties": false
      },
      "assuranceAppNameRecord": {
        "type": "object",
        "properties": {
          "affectedHosts": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "affectedRegions": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "affectedSites": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "affectedVrfs": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "appAiTag": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "appId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "appIdRecords": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/assuranceAppIdRecord"
            }
          },
          "appName": {
            "type": "string",
            "example": "example string"
          },
          "appType": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "category": {
            "type": "string",
            "example": "example string"
          },
          "daClassified": {
            "type": "boolean",
            "example": true
          },
          "exchangeService": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/assuranceExchangeServiceIdentifier"
            }
          },
          "flexAlgo": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/assuranceFlexAlgoIdentifier"
            }
          },
          "flowsAnalyzed": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "recommendation": {
            "type": "string",
            "example": "example string"
          },
          "riskStatus": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "threatScore": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "assuranceTrendValue": {
        "type": "object",
        "properties": {
          "endTime": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "flowCount": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "startTime": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "assuranceExchangeServiceIdentifier": {
        "type": "object",
        "properties": {
          "exchangeServiceId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "exchangeServiceName": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "assuranceFlexAlgoIdentifier": {
        "type": "object",
        "properties": {
          "flexAlgoId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "flexAlgoName": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

